미터 검색과 서버 페이지 조회
curl --request GET \
--url https://meterengine.com/v1/billable-metrics/search \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/billable-metrics/search';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"items": [
{
"active_from": "<string>",
"aggregation": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"dimension_properties": [
"<string>"
],
"event_type": "<string>",
"inactive_from": "<string>",
"name": "<string>",
"percentile": 123,
"rounding_mode": "<string>",
"rounding_precision": 123,
"target_property": "<string>",
"unit_size": 123,
"version": 123
}
],
"page": 123,
"size": 123,
"summary": {},
"total": 123,
"total_unfiltered": 123
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}검색과 내보내기
미터 검색과 서버 페이지 조회
q, billable_metric_code, status(active/archived/all), sort(code/name/event_type/aggregation/archived_at), order, page, size를 받는다. summary는 active_count, archived_count다.
GET
/
v1
/
billable-metrics
/
search
미터 검색과 서버 페이지 조회
curl --request GET \
--url https://meterengine.com/v1/billable-metrics/search \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/billable-metrics/search';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"items": [
{
"active_from": "<string>",
"aggregation": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"dimension_properties": [
"<string>"
],
"event_type": "<string>",
"inactive_from": "<string>",
"name": "<string>",
"percentile": 123,
"rounding_mode": "<string>",
"rounding_precision": 123,
"target_property": "<string>",
"unit_size": 123,
"version": 123
}
],
"page": 123,
"size": 123,
"summary": {},
"total": 123,
"total_unfiltered": 123
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
쿼리 매개변수
Maximum string length:
2000Maximum string length:
2000사용 가능한 옵션:
asc, desc 필수 범위:
1 <= x <= 2147483647필수 범위:
1 <= x <= 200Maximum string length:
2000Maximum string length:
2000